import request from '@/utils/request'

// 查询注册-老师列表
export function listTeacher(query) {
  return request({
    url: '/register/teacher/list',
    method: 'get',
    params: query
  })
}

// 查询注册-老师详细
export function getTeacher(id) {
  return request({
    url: '/register/teacher/' + id,
    method: 'get'
  })
}

// 新增注册-老师
export function addTeacher(data) {
  return request({
    url: '/register/teacher',
    method: 'post',
    data: data
  })
}

// 修改注册-老师
export function updateTeacher(data) {
  return request({
    url: '/register/teacher',
    method: 'put',
    data: data
  })
}

// 删除注册-老师
export function delTeacher(id) {
  return request({
    url: '/register/teacher/delete/' + id,
    method: 'get'
  })
}
